Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 198073 - sys-auth/policykit-0.7_p20071101 compile failure: No rule to make target `../polkit-dbus/libpolkit-dbus.la', needed by `polkit-read-auth-helper': parallel make bug?
Summary: sys-auth/policykit-0.7_p20071101 compile failure: No rule to make target `../...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Freedesktop bugs
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-04 17:18 UTC by Ed Catmur
Modified: 2009-01-16 09:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
parallel-make.patch (parallel-make.patch,630 bytes, patch)
2007-11-04 17:23 UTC, Ed Catmur
Details | Diff
parallel-make.patch (parallel-make.patch,1.91 KB, patch)
2007-11-04 17:31 UTC, Ed Catmur
Details | Diff
parallel-make.patch (parallel-make.patch,4.41 KB, patch)
2007-11-04 18:08 UTC, Ed Catmur
Details | Diff
parallel-make.patch (parallel-make.patch,5.08 KB, patch)
2007-11-04 19:28 UTC, Ed Catmur
Details | Diff
PolicyKit.reload.patch (PolicyKit.reload.patch,452 bytes, patch)
2007-11-06 23:03 UTC, Ed Catmur
Details | Diff
policykit-gnome-parallel-make.patch (parallel-make.patch,789 bytes, patch)
2007-11-09 00:53 UTC, Ed Catmur
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Catmur 2007-11-04 17:18:21 UTC
make[2]: Entering directory `/var/tmp/portage/sys-auth/policykit-0.7_p20071101/work/PolicyKit-0.7/polkit-dbus'
/bin/sh ../libtool --tag=CC   --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -DPACKAGE_LIBEXEC_DIR=\""/usr/libexec"\" -DPACKAGE_SYSCONF_DIR=\""/etc"\" -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_BIN_DIR=\""/usr/bin"\" -DPACKAGE_LOCALSTATE_DIR=\""/var"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DPACKAGE_LIB_DIR=\""/usr/lib"\" -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -DPOLKIT_COMPILATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include      -ggdb -O1 -O2 -O3 -pipe -march=athlon-xp -mmmx -msse -m3dnow -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -MT polkit-dbus.lo -MD -MP -MF .deps/polkit-dbus.Tpo -c -o polkit-dbus.lo polkit-dbus.c
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -DPACKAGE_LIBEXEC_DIR=\""/usr/libexec"\" -DPACKAGE_SYSCONF_DIR=\""/etc"\" -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_BIN_DIR=\""/usr/bin"\" -DPACKAGE_LOCALSTATE_DIR=\""/var"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DPACKAGE_LIB_DIR=\""/usr/lib"\" -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -DPOLKIT_COMPILATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include     -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -ggdb -O1 -O2 -O3 -pipe -march=athlon-xp -mmmx -msse -m3dnow -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -MT polkit_read_auth_helper-polkit-read-auth-helper.o -MD -MP -MF .deps/polkit_read_auth_helper-polkit-read-auth-helper.Tpo -c -o polkit_read_auth_helper-polkit-read-auth-helper.o `test -f 'polkit-read-auth-helper.c' || echo './'`polkit-read-auth-helper.c
make[2]: *** No rule to make target `../polkit-dbus/libpolkit-dbus.la', needed by `polkit-read-auth-helper'.  Stop.
make[2]: *** Waiting for unfinished jobs....
mv -f .deps/polkit_read_auth_helper-polkit-read-auth-helper.Tpo .deps/polkit_read_auth_helper-polkit-read-auth-helper.Po
mkdir .libs
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -DPACKAGE_LIBEXEC_DIR=\"/usr/libexec\" -DPACKAGE_SYSCONF_DIR=\"/etc\" -DPACKAGE_DATA_DIR=\"/usr/share\" -DPACKAGE_BIN_DIR=\"/usr/bin\" -DPACKAGE_LOCALSTATE_DIR=\"/var\" -DPACKAGE_LOCALE_DIR=\"/usr/share/locale\" -DPACKAGE_LIB_DIR=\"/usr/lib\" -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -DPOLKIT_COMPILATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -ggdb -O1 -O2 -O3 -pipe -march=athlon-xp -mmmx -msse -m3dnow -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -MT polkit-dbus.lo -MD -MP -MF .deps/polkit-dbus.Tpo -c polkit-dbus.c  -fPIC -DPIC -o .libs/polkit-dbus.o
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -DPACKAGE_LIBEXEC_DIR=\"/usr/libexec\" -DPACKAGE_SYSCONF_DIR=\"/etc\" -DPACKAGE_DATA_DIR=\"/usr/share\" -DPACKAGE_BIN_DIR=\"/usr/bin\" -DPACKAGE_LOCALSTATE_DIR=\"/var\" -DPACKAGE_LOCALE_DIR=\"/usr/share/locale\" -DPACKAGE_LIB_DIR=\"/usr/lib\" -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -DPOLKIT_COMPILATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -ggdb -O1 -O2 -O3 -pipe -march=athlon-xp -mmmx -msse -m3dnow -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -MT polkit-dbus.lo -MD -MP -MF .deps/polkit-dbus.Tpo -c polkit-dbus.c -o polkit-dbus.o >/dev/null 2>&1
mv -f .deps/polkit-dbus.Tpo .deps/polkit-dbus.Plo
make[2]: Leaving directory `/var/tmp/portage/sys-auth/policykit-0.7_p20071101/work/PolicyKit-0.7/polkit-dbus'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/sys-auth/policykit-0.7_p20071101/work/PolicyKit-0.7'
make: *** [all] Error 2
Comment 1 Ed Catmur 2007-11-04 17:23:17 UTC
Created attachment 135171 [details, diff]
parallel-make.patch
Comment 2 Ed Catmur 2007-11-04 17:31:03 UTC
Created attachment 135172 [details, diff]
parallel-make.patch

...And another broken Makefile.am.
Comment 3 Ed Catmur 2007-11-04 17:55:57 UTC
Not fixed yet; they're also shipping an old, broken gtk-doc.make.
Comment 4 Ed Catmur 2007-11-04 18:08:47 UTC
Created attachment 135177 [details, diff]
parallel-make.patch

Also fix gtk-doc.make
Comment 5 Ed Catmur 2007-11-04 18:13:48 UTC
Upstreamed at https://bugs.freedesktop.org/show_bug.cgi?id=13082 ; not posting patches yet.
Comment 6 Ed Catmur 2007-11-04 19:28:29 UTC
Created attachment 135184 [details, diff]
parallel-make.patch

Some more fixes.
Comment 7 Ed Catmur 2007-11-04 19:32:44 UTC
Yeah, that works, finally.  Sorry for the spam.
Comment 8 Doug Goldstein (RETIRED) gentoo-dev 2007-11-04 19:58:50 UTC
Thing was hosed from the second it was committed. Thanks for tracking down the issues Ed. I'll make sure to send your patches upstream on Monday.

@compnerd: wanna fix this? Your commit...
Comment 9 Saleem Abdulrasool (RETIRED) gentoo-dev 2007-11-05 02:41:06 UTC
Added in the overlay, thanks for the patch.
Comment 10 Doug Goldstein (RETIRED) gentoo-dev 2007-11-05 14:44:07 UTC
Looking further at the patch, stuff like:

-polkit_read_auth_helper_LDADD = $(top_builddir)/polkit/libpolkit.la $(top_builddir)/polkit-dbus/libpolkit-dbus.la
+polkit_read_auth_helper_LDADD = $(top_builddir)/polkit/libpolkit.la libpolkit-dbus.la

Is not correct since it will result in linking against previous libpolkit-dbus's that are already installed on the system... i.e. you'll link against the 0.6 version on your system rather then the pre 0.7 version that you're compiling.

Additionally, this package is named wrong. 0.7_p20071101 implies that it's 0.7 with patches from 20071101 on top. However, 0.7 hasn't been released so it should be 0.7_pre20071101
Comment 11 Ed Catmur 2007-11-06 08:54:04 UTC
(In reply to comment #10)
> Is not correct since it will result in linking against previous
> libpolkit-dbus's that are already installed on the system... i.e. you'll link
> against the 0.6 version on your system rather then the pre 0.7 version that
> you're compiling.

Are you sure about this?  As far as I'm aware libtool doesn't use the search path for .la files (that's what -lfoo is for).
Comment 12 Doug Goldstein (RETIRED) gentoo-dev 2007-11-06 16:34:08 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > Is not correct since it will result in linking against previous
> > libpolkit-dbus's that are already installed on the system... i.e. you'll link
> > against the 0.6 version on your system rather then the pre 0.7 version that
> > you're compiling.
> 
> Are you sure about this?  As far as I'm aware libtool doesn't use the search
> path for .la files (that's what -lfoo is for).
> 

So how does it find the .la file if it doesn't have the absolute path to it within the sources?

Comment 13 Doug Goldstein (RETIRED) gentoo-dev 2007-11-06 16:34:56 UTC
chgrp: cannot access `/var/tmp/portage/sys-auth/policykit-0.7_pre20071101/image//var/lib/misc/PolicyKit.reload': No such file or directory
make[2]: [install-data-local] Error 1 (ignored)
chmod 775 /var/tmp/portage/sys-auth/policykit-0.7_pre20071101/image//var/lib/misc/PolicyKit.reload
chmod: cannot access `/var/tmp/portage/sys-auth/policykit-0.7_pre20071101/image//var/lib/misc/PolicyKit.reload': No such file or directory
make[2]: [install-data-local] Error 1 (ignored)

Occurs while installing, which then according to seemant and remi prevents HAL from starting.
Comment 14 Ed Catmur 2007-11-06 22:58:03 UTC
(In reply to comment #12)
> So how does it find the .la file if it doesn't have the absolute path to it
> within the sources?

It's in the current (build) directory.  That's why it needs to have the path simplified, so that make knows how to build it.
Comment 15 Ed Catmur 2007-11-06 22:59:48 UTC
(In reply to comment #13)
> chgrp: cannot access
> `/var/tmp/portage/sys-auth/policykit-0.7_pre20071101/image//var/lib/misc/PolicyKit.reload':
> No such file or directory
> make[2]: [install-data-local] Error 1 (ignored)
> chmod 775
And above that:
touch /var/tmp/portage/sys-auth/policykit-0.7_p20071101/image//var/lib/misc/PolicyKit.reload
 /bin/sh ../libtool --mode=install /usr/bin/install -c  'libpolkit.la' '/var/tmp/portage/sys-auth/policykit-0.7_p20071101/image//usr/lib/libpolkit.la'
touch: cannot touch `/var/tmp/portage/sys-auth/policykit-0.7_p20071101/image//var/lib/misc/PolicyKit.reload': No such file or directory
make[2]: [install-data-local] Error 1 (ignored)

Yes, it breaks hal at startup.  I'll supply a patch.
Comment 16 Ed Catmur 2007-11-06 23:03:52 UTC
Created attachment 135399 [details, diff]
PolicyKit.reload.patch
Comment 17 Ed Catmur 2007-11-06 23:07:43 UTC
(In reply to comment #16)
> Created an attachment (id=135399) [edit]
> PolicyKit.reload.patch

Upstreamed: https://bugs.freedesktop.org/show_bug.cgi?id=13113
Comment 18 Ed Catmur 2007-11-09 00:52:24 UTC
policykit-gnome breaks as well:

make[2]: Leaving directory `/var/tmp/portage/gnome-extra/policykit-gnome-0.7_pre20071106/work/PolicyKit-gnome-0.7/tools'
Making all in doc
make[2]: Entering directory `/var/tmp/portage/gnome-extra/policykit-gnome-0.7_pre20071106/work/PolicyKit-gnome-0.7/doc'
gtk-doc: Scanning header files
make[2]: *** No rule to make target `tmpl/*.sgml', needed by `sgml-build.stamp'.  Stop.
make[2]: *** Waiting for unfinished jobs....
Comment 19 Ed Catmur 2007-11-09 00:53:15 UTC
Created attachment 135537 [details, diff]
policykit-gnome-parallel-make.patch
Comment 20 Florian Steinel 2007-12-26 19:10:50 UTC
(In reply to comment #19)
seems to be fixed with policykit-gnome-0.7

new "-Wl,--as-needed" patch:
http://gitweb.freedesktop.org/?p=users/david/PolicyKit-gnome.git;a=commitdiff_plain;h=467f42d2f12c9947f926ca1c6ba070f1e22effb0;hp=9b14480c175928ea41604fcb56c24a52f39b967e
Comment 21 Pacho Ramos gentoo-dev 2008-12-07 14:10:07 UTC
Have you checked if this is already fixed in policykit 0.9? 
Comment 22 Gilles Dartiguelongue gentoo-dev 2009-01-16 09:59:27 UTC
I believe this is fixed in 0.9. Please reopen and update status if it's not the case.